<?php
namespace TH90ElementorOptions;

class Options {
    static function get_array_post_selective() {
		$output = array();
		foreach ( th90_default_options()['posts_selective'] as $key => $value ) {

			$output[$key]['title'] = 'Style ' . $key;
			$output[$key]['imagesmall'] = $value['img'];
			$output[$key]['width'] = '25%';
            $output[$key]['maxwidth'] = '85px';
		}
		return $output;
	}
    static function get_array_post_small() {
		$output = array();
		foreach ( th90_default_options()['posts_small'] as $key => $value ) {

			$output[$key]['title'] = 'Style ' . $key;
			$output[$key]['imagesmall'] = $value['img'];
			$output[$key]['width'] = '25%';
            $output[$key]['maxwidth'] = '85px';
		}
		return $output;
	}
    static function get_array_post_group() {
		$output = array();
		foreach ( th90_default_options()['posts_group'] as $key => $value ) {

			$output[$key]['title'] = 'Style ' . $key;
			$output[$key]['imagesmall'] = $value['img'];
			$output[$key]['width'] = '25%';
            $output[$key]['maxwidth'] = '85px';
		}
		return $output;
	}
    static function get_array_post_grouphero() {
		$output = array();
		foreach ( th90_default_options()['posts_grouphero'] as $key => $value ) {

			$output[$key]['title'] = 'Style ' . $key;
			$output[$key]['imagesmall'] = $value['img'];
			$output[$key]['width'] = '25%';
            $output[$key]['maxwidth'] = '85px';
		}
		return $output;
	}
    static function get_array_post_tax() {
		$output = array();
		foreach ( th90_default_options()['posts_tax'] as $key => $value ) {

			$output[$key]['title'] = 'Style ' . $key;
			$output[$key]['imagesmall'] = $value['img'];
			$output[$key]['width'] = '25%';
            $output[$key]['maxwidth'] = '85px';
		}
		return $output;
	}
}
